MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
DatabaseEditor Class Referencefinal

`#include <Editor.hxx>`

## Public Member Functions
| DatabaseEditor (EventLoop &_loop, DatabaseListener &_listener)
void | DeleteSong (Directory &parent, Song *song)
| Caller must lock the db_mutex. More...
void | LockDeleteSong (Directory &parent, Song *song)
| DeleteSong() with automatic locking. More...
void | DeleteDirectory (Directory *directory)
| Recursively free a directory and all its contents. More...
void | LockDeleteDirectory (Directory *directory)
| DeleteDirectory() with automatic locking. More...
bool | DeleteNameIn (Directory &parent, const char *name)
| Caller must NOT lock the db_mutex. More...

## Detailed Description

Definition at line 30 of file Editor.hxx.

## Constructor & Destructor Documentation

DatabaseEditor::DatabaseEditor | ( | EventLoop & | _loop,
|  | DatabaseListener & | _listener
| ) |  |
| inline

Definition at line 34 of file Editor.hxx.

## Member Function Documentation

void DatabaseEditor::DeleteDirectory | ( | Directory * | directory | ) |

Recursively free a directory and all its contents.

Caller must lock the db_mutex.

bool DatabaseEditor::DeleteNameIn | ( | Directory & | parent,
|  | const char * | name
| ) |  |

Caller must NOT lock the db_mutex.

Returns
  true if the database was modified

void DatabaseEditor::DeleteSong | ( | Directory & | parent,
|  | Song * | song
| ) |  |

Caller must lock the db_mutex.

void DatabaseEditor::LockDeleteDirectory | ( | Directory * | directory | ) |

DeleteDirectory() with automatic locking.

void DatabaseEditor::LockDeleteSong | ( | Directory & | parent,
|  | Song * | song
| ) |  |

DeleteSong() with automatic locking.

The documentation for this class was generated from the following file:

- db/update/Editor.hxx